The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]

Подводные камни при использовании pptpd под Linux (pptp trouble linux vpn)


<< Предыдущая ИНДЕКС Поиск в статьях src Установить закладку Перейти на закладку Следующая >>
Ключевые слова: pptp, trouble, linux, vpn,  (найти похожие документы)
Date: Sun, 25 Jan 2004 15:44:06 +0500 From: Max Tulyev <Max_Tulyev@f253.n463.z2.fidonet.org.> Newsgroups: ftn.ru.linux Subject: Подводные камни при использовании pptpd под Linux Грабля раз: Win2000 и старше по умолчанию требуют ОБЯЗАТЕЛЬHОГО наличия MPPE (Microsoft Point-to-Point encryption). Если нет жесткой задачи шифровать трафик - то заходим в настройки VPN соединения в винде и онное шифрование выключаем. Это простой путь. И правильный. Ибо онное MPPE жрет ресурсов будь-будь. Грабля два: если MPPE нужен. Hи ядром, ни pppd младше 2.4.2 MPPE не поддерживается... Можно, конечно, установить pppd 2.4.2, пропатчить и пересобрать ядро... HО! При этом будет грабля такого плана: либо у нас будет MPPE ВСЕМ и ПРИHУДИТЕЛЬHО (и при этом линуксы не смогут подключаться без страшного гемора установки mppe, а bsd вообще не смогут), либо его вообще никому не будет (то есть при стандартных настройках XP соединение не произойдет). И кроме того, онное mppe напрочь отключает все виды компрессии, что иногда тоже не гуд. Единственный найденный мной выход - это брать pppd 2.4.1, патчить его на предмет поддержки mppe and mschap, собирать его, брать с инетра mppe and openssl патч, патчить ядро - и пытаться взлететь. У меня получилось ;)

<< Предыдущая ИНДЕКС Поиск в статьях src Установить закладку Перейти на закладку Следующая >>

Обсуждение [ RSS ]
  • 1, reloader (?), 15:11, 16/02/2005 [ответить]  
  • +/
    Берем pppd 2.4.2
    патчи к ядру и pppd отсюда http://www.polbox.com/h/hs001/
    и получаем соединение VPN имеющее авторизацию по MS-CHAP v2, шифрование MPPE128 и компрессию MPPC.
    описано тут https://www.opennet.ru/base/net/pptp_mppe_mppc.txt.html
     
  • 2, last_vampire (?), 10:52, 26/05/2005 [ответить]  
  • +/
    Как ты его поставил мож скажеш , я чёт пробовал на ядро патч ствить и встретил кучк ошибок.А вместо pppd юзаю ppp-mpppe-XXX.rpm.
     
  • 3, Mantyr (?), 16:23, 01/04/2007 [ответить]  
  • +/
    ндя... а что делать, если UTM5 при авторизации по VPN pptpd выдаёт не те адреса что должно?:):)
     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:




    Спонсоры:
    PostgresPro
    Inferno Solutions
    Hosting by Hoster.ru
    Хостинг:

    Закладки на сайте
    Проследить за страницей
    Created 1996-2022 by Maxim Chirkov
    Добавить, Поддержать, Вебмастеру